Commit 3401a857 authored by Geoffrey Métais's avatar Geoffrey Métais

Upgrade gradle setting

parent 02a98be5
......@@ -6,7 +6,7 @@ buildscript {
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.1.3'
classpath 'com.android.tools.build:gradle:3.2.1'
// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
......@@ -16,6 +16,7 @@ buildscript {
allprojects {
repositories {
jcenter()
google()
}
}
......
#Thu Jul 19 17:06:35 CEST 2018
#Thu Oct 25 11:15:50 CEST 2018
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-4.6-all.zip
apply plugin: 'com.android.application'
android {
compileSdkVersion 23
buildToolsVersion "23.0.2"
compileSdkVersion 28
sourceSets {
main {
jni.srcDirs = []
......@@ -13,8 +12,8 @@ android {
}
defaultConfig {
applicationId 'org.videolan.java_sample'
minSdkVersion 16
targetSdkVersion 23
minSdkVersion 17
targetSdkVersion 28
versionCode 1
versionName "1.0"
}
......@@ -29,8 +28,8 @@ android {
}
dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:appcompat-v7:23.1.1'
compile 'com.android.support:support-v4:23.1.1'
compile project(':libvlc')
implementation fileTree(dir: 'libs', include: ['*.jar'])
implementation 'com.android.support:appcompat-v7:28.0.0'
implementation 'com.android.support:support-v4:28.0.0'
implementation project(':libvlc')
}
apply plugin: 'com.android.application'
android {
compileSdkVersion 23
buildToolsVersion "23.0.2"
compileSdkVersion 28
sourceSets {
main {
jni.srcDirs = [] // Prevent gradle from building native code with ndk; we have our own Makefile for it.
......@@ -11,8 +10,8 @@ android {
}
defaultConfig {
applicationId 'org.videolan.native_sample'
minSdkVersion 16
targetSdkVersion 23
minSdkVersion 17
targetSdkVersion 28
versionCode 1
versionName "1.0"
}
......@@ -27,8 +26,8 @@ android {
}
dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:appcompat-v7:23.1.1'
compile 'com.android.support:support-v4:23.1.1'
compile project(':libvlc')
implementation fileTree(dir: 'libs', include: ['*.jar'])
implementation 'com.android.support:appcompat-v7:28.0.0'
implementation 'com.android.support:support-v4:28.0.0'
implementation project(':libvlc')
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment